Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.filesystems
Class FileAttributeEvent

    java.lang.Object
      java.util.EventObject
          org.openide.filesystems.FileEvent
              org.openide.filesystems.FileAttributeEvent

All Implemented Interfaces:
  Serializable

    public class FileAttributeEvent

extends FileEvent

Event used to listen on filesystem attribute changes.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`FileAttributeEvent(FileObject src, FileObject file, String name, Object oldValue, Object newValue)` Creates new `FileAttributeEvent`.
`FileAttributeEvent(FileObject src, FileObject file, String name, Object oldValue, Object newValue, boolean expected)` Creates new `FileAttributeEvent`.
`FileAttributeEvent(FileObject src, String name, Object oldValue, Object newValue)` Creates new `FileAttributeEvent`.

Method Summary
`String` | `getName()` Gets the name of the attribute.
`Object` | `getNewValue()` Gets the new value of the attribute.
`Object` | `getOldValue()` Gets the old value of the attribute.

Methods inherited from class org.openide.filesystems.FileEvent
`firedFrom, getFile, getTime, isExpected, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileAttributeEvent

    public FileAttributeEvent(FileObject src,
                              String name,
                              Object oldValue,
                              Object newValue)

  Creates new `FileAttributeEvent`. The `FileObject` where the action occurred is assumed to be the same as the source object.

  Parameters:
    `src` - source file which sent this event
    `name` - name of attribute, or `null` (since 1.33 only) if any attributes may have changed
    `oldValue` - old value of attribute, or `null` if the name is
    `newValue` - new value of attribute, or `null` if the name is

### FileAttributeEvent

    public FileAttributeEvent(FileObject src,
                              FileObject file,
                              String name,
                              Object oldValue,
                              Object newValue)

  Creates new `FileAttributeEvent`.

  Parameters:
    `src` - source file which sent this event
    `file` - file object where the action occurred
    `name` - name of attribute, or `null` (since 1.33 only) if any attributes may have changed
    `oldValue` - old value of attribute, or `null` if the name is
    `newValue` - new value of attribute, or `null` if the name is

### FileAttributeEvent

    public FileAttributeEvent(FileObject src,
                              FileObject file,
                              String name,
                              Object oldValue,
                              Object newValue,
                              boolean expected)

  Creates new `FileAttributeEvent`.

  Parameters:
    `src` - source file which sent this event
    `file` - file object where the action occurred
    `name` - name of attribute, or `null` (since 1.33 only) if any attributes may have changed
    `oldValue` - old value of attribute, or `null` if the name is
    `newValue` - new value of attribute, or `null` if the name is
    `expected` - sets flag whether the value was expected

Method Detail

### getName

    public String getName()

  Gets the name of the attribute.

  Returns:
    Name of the attribute, or `null` (since 1.33 only) if an unknown attribute changed

### getOldValue

    public Object getOldValue()

  Gets the old value of the attribute.

  Returns:
    Old value of the attribute, or `null` if the name is

### getNewValue

    public Object getNewValue()

  Gets the new value of the attribute.

  Returns:
    New value of the attribute, or `null` if the name is

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.